# SPDX-License-Identifier: GPL-2.0 OR BSD-2-Clause
%YAML 1.2
---
$id: http://devicetree.org/schemas/sound/qcom,q6adm-routing.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Qualcomm Audio Device Manager (Q6ADM) routing

maintainers:
  - Krzysztof Kozlowski <krzysztof.kozlowski@linaro.org>
  - Srinivas Kandagatla <srinivas.kandagatla@linaro.org>

description:
  Qualcomm Audio Device Manager (Q6ADM) routing node represents routing
  specific configuration.

properties:
  compatible:
    enum:
      - qcom,q6adm-routing

  "#sound-dai-cells":
    const: 0

required:
  - compatible
  - "#sound-dai-cells"

additionalProperties: false

examples:
  - |
    #include <dt-bindings/soc/qcom,apr.h>
    #include <dt-bindings/sound/qcom,q6asm.h>

    apr {
        compatible = "qcom,apr-v2";
        qcom,domain = <APR_DOMAIN_ADSP>;
        #address-cells = <1>;
        #size-cells = <0>;

        service@8 {
            compatible = "qcom,q6adm";
            reg = <APR_SVC_ADM>;
            qcom,protection-domain = "avs/audio", "msm/adsp/audio_pd";

            routing {
                compatible = "qcom,q6adm-routing";
                #sound-dai-cells = <0>;
            };
        };
    };
